MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002895VCMIAI - Adventure Mappublic2018-02-28 11:322018-11-06 12:24
ReporterPovelitel 
Assigned ToNullkiller 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002895: Freeze in fight AI
DescriptionQuick was on. I pressed end turn and won in fight. After it green AI attacked master gremlins and game freezed.

Backtrace was empty. After I clicked closed console and was it:

VCMI_client.exe!CClient::run()Строка 181

CPack * pack = serv->retrievePack(); //get the package from the server
Additional InformationBuild 3c67e12
TagsNo tags attached.
Attached Filesrar file icon Battle of Rage.rar [^] (1,408,811 bytes) 2018-02-28 11:32

- Relationships

-  Notes
(0007455)
Povelitel (updater)
2018-03-02 12:22

Now it crash in last git



throw std::runtime_error("No applier found.");

> VCMI_lib.dll!CApplier<BinaryDeserializer::CBasicPointerLoader>::getApplier(unsigned short ID)Строка 219 C++ Символы загружены.
     VCMI_lib.dll!BinaryDeserializer::load<CPack * __ptr64,0>(CPack * & data)Строка 315 C++ Символы загружены.
     [Внедренный фрейм] VCMI_lib.dll!BinaryDeserializer::operator&(CPack * &)Строка 185 C++ Символы загружены.
     VCMI_lib.dll!CConnection::retrievePack()Строка 223 C++ Символы загружены.
     VCMI_client.exe!CClient::run()Строка 181 C++ Символы загружены.
(0007674)
Povelitel (updater)
2018-11-06 12:24

Doesn't reproducibility for me in 0.99 d36f59e1af87c99a26d7fd69a4ca4f2404b0953e

- Issue History
Date Modified Username Field Change
2018-02-28 11:32 Povelitel New Issue
2018-02-28 11:32 Povelitel File Added: Battle of Rage.rar
2018-02-28 11:33 Povelitel Additional Information Updated View Revisions
2018-03-02 12:22 Povelitel Note Added: 0007455
2018-11-06 12:24 Povelitel Note Added: 0007674
2018-11-06 12:24 Povelitel Status new => resolved
2018-11-06 12:24 Povelitel Fixed in Version => 0.next
2018-11-06 12:24 Povelitel Resolution open => fixed
2018-11-06 12:24 Povelitel Assigned To => Nullkiller

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean